project-navigation
Personal tools

Author Topic: 2.4 not starting on ubuntu 12.04  (Read 2848 times)

Offline Shaadea

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
2.4 not starting on ubuntu 12.04
« on: June 23, 2013, 11:55:06 am »
Hi,
just got me the 2.4 (played 2.3 last year, was a lot of fun), installed it through the software center; but it's not running

here's what I get when trying to start 

---- endianness initialization -----
found little endian system
 
---- filesystem initialization -----
Adding game dir: /usr/share/games/base
Adding game dir: ./base
Added packfile ./base/0base.pk3 (15 files)
Added packfile ./base/0maps.pk3 (740 files)
Added packfile ./base/0materials.pk3 (57 files)
Added packfile ./base/0media.pk3 (11 files)
Added packfile ./base/0models.pk3 (1725 files)
Added packfile ./base/0music.pk3 (46 files)
Added packfile ./base/0pics.pk3 (1056 files)
Added packfile ./base/0shaders.pk3 (37 files)
Added packfile ./base/0snd.pk3 (354 files)
Added packfile ./base/0textures.pk3 (1767 files)
Added packfile ./base/0ufos.pk3 (109 files)
Added packfile ./base/1maps.pk3 (3 files)
Adding game dir: /home/james/.ufoai/2.4/base
using /home/james/.ufoai/2.4/base for writing
executing filesystem.cfg
executing default.cfg
couldn't execute config.cfg
 
----- network initialization -------
libcurl/7.22.0 OpenSSL/1.0.1 zlib/1.2.3.4 libidn/1.23 librtmp/2.3 initialized.
 
------ server initialization -------
added 8 maps to the mapcycle
 
----- console initialization -------
Console initialized.
                                                                                                                 
------- video initialization -------                                                                             
SDL version: 1.2.14                                                                                             
I: desktop depth: 32bpp                                                                                         
I: video memory: 0                                                                                               
I: Available resolutions: 1280x800 1024x768 800x600 640x480 (4)
I: video driver: x11
I: setting mode -1
I: set multisample buffers to 0
I: set swap control to 0
SDL SetVideoMode failed: Couldn't find matching GLX visual
Failed to set video mode 1024x768 fullscreen.
I: set multisample buffers to 0
I: set swap control to 0
SDL SetVideoMode failed: Couldn't find matching GLX visual
Video subsystem failed to initialize
FS_RemoveFile: remove /home/james/.ufoai/2.4/base/keys.cfg
There are still 1 opened files
]======start======
OS Info: Linux mobile-hq 3.2.0-48-generic #74-Ubuntu SMP Thu Jun 6 19:45:16 UTC 2013 i686
Linux RELEASE, cpu: IA-32, version: 2.4

/usr/lib/games/ufoai/ufo[0x81051b1]
/usr/lib/games/ufoai/ufo[0x8105242]
/usr/lib/games/ufoai/ufo[0x80b1546]
/usr/lib/games/ufoai/ufo[0x80f80cb]
/usr/lib/games/ufoai/ufo[0x80e4157]
/usr/lib/games/ufoai/ufo[0x8058b5b]
/usr/lib/games/ufoai/ufo[0x80b1ad0]
/usr/lib/games/ufoai/ufo[0x804e7f0]
/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf3)[0x9454d3]
/usr/lib/games/ufoai/ufo[0x804e851]
Loaded libraries:
[0x5619712x-0x5785800x] /lib/i386-linux-gnu/libpng12.so.0
[0x14524416x-0x14875696x] /usr/lib/i386-linux-gnu/libjpeg.so.8
[0x8257536x-0x8277024x] /usr/lib/i386-linux-gnu/libSDL_ttf-2.0.so.0
[0x16310272x-0x16700516x] /usr/lib/i386-linux-gnu/libSDL_mixer-1.2.so.0
[0x6483968x-0x7378848x] /usr/lib/nvidia-current/libGL.so.1
[0x2912256x-0x3548436x] /usr/lib/i386-linux-gnu/libSDL-1.2.so.0
[0x1114112x-0x1496848x] /usr/lib/i386-linux-gnu/libcurl.so.4
[0x1495040x-0x1821796x] /usr/lib/i386-linux-gnu/libtheora.so.0
[0x1826816x-0x1849328x] /usr/lib/i386-linux-gnu/libogg.so.0
[0x4734976x-0x4903936x] /usr/lib/i386-linux-gnu/libvorbis.so.0
[0x1859584x-0x2032759x] /lib/i386-linux-gnu/libm.so.6
[0x2039808x-0x2072468x] /usr/lib/libmxml.so.1
[0x9506816x-0x9613035x] /lib/i386-linux-gnu/libpthread.so.0
[0x15818752x-0x15902180x] /lib/i386-linux-gnu/libz.so.1
[0x9617408x-0x11394783x] /lib/i386-linux-gnu/libc.so.6
[0x2076672x-0x2722124x] /usr/lib/i386-linux-gnu/libfreetype.so.6
[0x11382784x-0x11703012x] /usr/lib/i386-linux-gnu/libmikmod.so.2
[0x2707456x-0x2739196x] /usr/lib/i386-linux-gnu/libvorbisfile.so.3
[0x3547136x-0x3863048x] /usr/lib/i386-linux-gnu/libFLAC.so.8
[0x2748416x-0x2837448x] /usr/lib/i386-linux-gnu/libmad.so.0
[0x2846720x-0x2856504x] /usr/lib/nvidia-current/tls/libnvidia-tls.so.304.88
[0x16703488x-0x47132328x] /usr/lib/nvidia-current/libnvidia-glcore.so.304.88
[0x11706368x-0x12978012x] /usr/lib/i386-linux-gnu/libX11.so.6
[0x9342976x-0x9411104x] /usr/lib/i386-linux-gnu/libXext.so.6
[0x13221888x-0x13232095x] /lib/i386-linux-gnu/libdl.so.2
[0x8286208x-0x9305516x] /usr/lib/i386-linux-gnu/libasound.so.2
[0x2863104x-0x2874436x] /usr/lib/i386-linux-gnu/libpulse-simple.so.0
[0x3866624x-0x4182416x] /usr/lib/i386-linux-gnu/libpulse.so.0
[0x7385088x-0x8214912x] /usr/lib/i386-linux-gnu/libcaca.so.0
[0x4186112x-0x4390420x] /usr/lib/i386-linux-gnu/libidn.so.11
[0x4399104x-0x4452744x] /usr/lib/i386-linux-gnu/liblber-2.4.so.2
[0x4911104x-0x5244452x] /usr/lib/i386-linux-gnu/libldap_r-2.4.so.2
[0x4460544x-0x4491091x] /lib/i386-linux-gnu/librt.so.1
[0x5246976x-0x5497476x] /usr/lib/i386-linux-gnu/libgssapi_krb5.so.2
[0x5791744x-0x6151608x] /lib/i386-linux-gnu/libssl.so.1.0.0
[0x83668992x-0x85511972x] /lib/i386-linux-gnu/libcrypto.so.1.0.0
[0x4497408x-0x4599740x] /usr/lib/i386-linux-gnu/librtmp.so.0
[0x13426688x-0x13561184x] /lib/ld-linux.so.2
[0x6148096x-0x6281084x] /usr/lib/i386-linux-gnu/libxcb.so.1
[0x13877248x-0x14289816x] /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
[0x4603904x-0x4629800x] /usr/lib/i386-linux-gnu/libjson.so.0
[0x14880768x-0x15182216x] /lib/i386-linux-gnu/libdbus-1.so.3
[0x87130112x-0x88330092x] /lib/i386-linux-gnu/libslang.so.2
[0x6283264x-0x6474248x] /lib/i386-linux-gnu/libncursesw.so.5
[0x12967936x-0x13096044x] /lib/i386-linux-gnu/libtinfo.so.5
[0x4636672x-0x4728351x] /lib/i386-linux-gnu/libresolv.so.2
[0x13246464x-0x13353000x] /usr/lib/i386-linux-gnu/libsasl2.so.2
[0x15179776x-0x15425508x] /usr/lib/i386-linux-gnu/libgssapi.so.3
[0x110739456x-0x111563452x] /usr/lib/i386-linux-gnu/libgnutls.so.26
[0x108113920x-0x108663832x] /lib/i386-linux-gnu/libgcrypt.so.11
[0x191983616x-0x192857576x] /usr/lib/i386-linux-gnu/libkrb5.so.3
[0x13676544x-0x13838428x] /usr/lib/i386-linux-gnu/libk5crypto.so.3
[0x13398016x-0x13407829x] /lib/i386-linux-gnu/libcom_err.so.2
[0x5500928x-0x5530084x] /usr/lib/i386-linux-gnu/libkrb5support.so.0
[0x2883584x-0x2891480x] /usr/lib/i386-linux-gnu/libXau.so.6
[0x5537792x-0x5556192x] /usr/lib/i386-linux-gnu/libXdmcp.so.6
[0x5566464x-0x5600184x] /lib/i386-linux-gnu/libwrap.so.0
[0x119230464x-0x119704004x] /usr/lib/i386-linux-gnu/libsndfile.so.1
[0x8216576x-0x8234644x] /usr/lib/i386-linux-gnu/libasyncns.so.0
[0x9277440x-0x9301528x] /usr/lib/i386-linux-gnu/libheimntlm.so.0
[0x125120512x-0x125666524x] /usr/lib/i386-linux-gnu/libkrb5.so.26
[0x92172288x-0x92853320x] /usr/lib/i386-linux-gnu/libasn1.so.8
[0x14290944x-0x14507772x] /usr/lib/i386-linux-gnu/libhcrypto.so.4
[0x9416704x-0x9499300x] /usr/lib/i386-linux-gnu/libroken.so.18
[0x13094912x-0x13160888x] /usr/lib/i386-linux-gnu/libtasn1.so.3
[0x13565952x-0x13633724x] /usr/lib/i386-linux-gnu/libp11-kit.so.0
[0x9310208x-0x9321920x] /lib/i386-linux-gnu/libgpg-error.so.0
[0x11358208x-0x11367388x] /lib/i386-linux-gnu/libkeyutils.so.1
[0x15429632x-0x15528779x] /lib/i386-linux-gnu/libnsl.so.1
[0x47136768x-0x48736420x] /usr/lib/i386-linux-gnu/libvorbisenc.so.2
[0x15536128x-0x15697448x] /usr/lib/i386-linux-gnu/libwind.so.0
[0x15704064x-0x15759904x] /usr/lib/i386-linux-gnu/libheimbase.so.1
[0x15908864x-0x16199472x] /usr/lib/i386-linux-gnu/libhx509.so.5
[0x48676864x-0x49359332x] /usr/lib/i386-linux-gnu/libsqlite3.so.0
[0x67481600x-0x67673831x] /lib/i386-linux-gnu/libcrypt.so.1
[0x13168640x-0x13205020x] /usr/lib/i386-linux-gnu/libXcursor.so.1
[0x15765504x-0x15799416x] /usr/lib/i386-linux-gnu/libXrender.so.1
[0x13361152x-0x13378632x] /usr/lib/i386-linux-gnu/libXfixes.so.3
[0x193703936x-0x193818416x] /lib/i386-linux-gnu/libgcc_s.so.1
======end========
Error: Shutdown


I guess this is teh part where the problem comes from:
"SDL SetVideoMode failed: Couldn't find matching GLX visual
Video subsystem failed to initialize"

been here http://phoronix.com/forums/showthread.php?50038-Updated-and-Optimized-Ubuntu-Free-Graphics-Drivers as this seemed to have helped most people with similar problems, but still not success.

some info on my card
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

hope somebody got a fix for me

Offline Shaadea

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
Re: 2.4 not starting on ubuntu 12.04
« Reply #1 on: June 27, 2013, 07:07:10 am »
no ideas, anybody? I would really like to play the game again...

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
Re: 2.4 not starting on ubuntu 12.04
« Reply #2 on: June 27, 2013, 07:41:05 am »
you have to activate your nvidia card. i think bumblebee was able to do that. but i'm not sure about the current state of these hybrid drivers.